/*
 * Definitions etc. for regexp(3) routines.
 *
 * Caveat:  this is V8 regexp(3) [actually, a reimplementation thereof],
 * not the System V one.
 */

#define NSUBEXP 10

typedef struct regexp {
	char *startp[NSUBEXP];
	char *endp[NSUBEXP];
	char regstart;	   	   /* Internal use only. */
	char reganch;          /* Internal use only. */
	char *regmust;         /* Internal use only. */
	int regmlen;           /* Internal use only. */
	char program[1];       /* Unwarranted chumminess with compiler. */
} regexp;

extern regexp * __stdcall regcomp(char *);
extern void     __stdcall regdestroy(regexp *);
extern int      __stdcall regexec(regexp *, char *);
extern void     __stdcall regsub(regexp *, char *, char *);
void            __stdcall getregerror(char *);

void __stdcall registerregerrproc(void __stdcall (*f)(char *));

